Browse by name

Get a list of artists from the 7digital catalogue whose names match the start letter(s) supplied.

 \ Example request

GET https://api.7digital.com/1.2/artist/browse?letter=p&country=US&oauth_consumer_key=YOUR_KEY_HERE

Example response

{
    "status": "ok",
    "version": "1.2",
    "artists": {
        "page": 1,
        "pageSize": 10,
        "totalItems": 23817,
        "artist": [
            {
                "id": 314018,
                "name": ">P J Harvey",
                "sortName": ">P J Harvey",
                "slug": "p-j-harvey",
                "image": "http://artwork-cdn.7static.com/static/img/artistimages/00/001/446/0000144641_50.jpg",
                "popularity": 0.11
            },
            ...
        ]
    }
}
Query Params
string
required

The first letter(s) of the artist name to browse.

string
required

ISO 2-character code of the country the end user resides in.

Language
LoadingLoading…